Get boarding app notes and events

Learn how to see an application's notes and events via the Payabli API
View as MarkdownOpen in Claude
Applies to:DevelopersPartners

To access notes and events on a boarding application via the API, you can send a GET request to /Boarding/read/{appId}.

Get app with appid 352
curl -X GET https://api-sandbox.payabli.com/api/Boarding/read/352 \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'

In the response, the notes associated with the application are returned in the messages array. The application’s events are returned in generalEvents array.

// Response truncated to show only the generalEvents array
"generalEvents": [
{
"description": "Created",
"eventTime": "2022-06-17T16:35:21.1539528+00:00",
"refData": null,
"extraData": null,
"source": null
},
{
"description": "Updated Status",
"eventTime": "2022-06-17T16:35:22.0854265+00:00",
"refData": "1",
"extraData": null,
"source": null
}
],

See these related resources to help you get the most out of Payabli.